%The 17th Seminar on Differential Equations and Dynamical Systems, 6-8 November 2024, University of Mazandaran, Babolsar, Iran.

\newif\if@english
\@englishtrue
\DeclareOption{Persian}{
	\@englishfalse
}
\ProcessOptions\relax

\if@english
\LoadClass[a4paper,11pt,twoside]{amsart}%
\else
\LoadClass[a4paper,11pt,twoside]{amsart}%
\fi

\usepackage[bookmarksnumbered,colorlinks,plainpages]{hyperref}
\usepackage[a4paper,nomarginpar,left=25.4mm,bottom=25.4mm,top=25.4mm,right=25.4mm,
headsep=10mm,footskip=10mm,includehead=true,includefoot=true]{geometry}
\RequirePackage{amsmath,amssymb,multicol,amsthm,amsfonts,amscd,soul,mathtools}
\usepackage{abstract,graphicx,fancyhdr,color,xcolor}
\usepackage{tikz}
\usepackage{booktabs}
\usepackage{multicol}
\RequirePackage[all]{xy} 
\usepackage[figurename=Fig.,tablename=Table,labelsep=period,small,bf]{caption}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\makeatletter
\def\author@andify{%
  \nxandlist {\unskip ,\penalty-1 \space\ignorespaces}%
    {\unskip ,~}%
    {\unskip \penalty-2 ,~}%
}
\makeatother

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\affilfont{\normalfont\fontsize{10}{12}\selectfont\centering}
\def\affil#1{\par\vskip12pt{\affilfont#1\par}\vskip15pt}
\def\Speaker{$^{*}$\protect\footnotetext{$^{*}$ S\lowercase{speaker.}}}
\def\authorsaddresses#1{\dedicatory{#1}}
\renewenvironment{abstract}
               {\list{}{}%
               \item[]\bfseries{\itshape{Abstract .}}\relax}
               {\endlist}
\newcommand{\KeyWords}[1]{
{%
\bgroup  \raggedright
 \small \par\indent{\hskip13mm\bfseries\itshape{Keywords:}#1}\par
\egroup
}}

\makeatletter
\def\section{\@startsection{section}{1}%
  \z@{.5\linespacing\@plus.7\linespacing}{.3\linespacing}%
  {\bfseries}}
\makeatother
\makeatletter
\def\subsection{\@startsection{subsection}{2}%
  \z@{.5\linespacing\@plus.7\linespacing}{.3\linespacing}%
  {\bfseries}}
\makeatother
\definecolor{bidihlcolor}{rgb}{1,1,0}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% header & footer
\makeatother
\definecolor{bidihlcolor}{rgb}{1,1,0}
\renewcommand{\headrulewidth}{0pt}
\fancypagestyle{firstpage}{%
	\fancyhead{}
\renewcommand{\headrulewidth}{0pt}
	%\fancyhead[]{\includegraphics[width=800pt]{logo}}
	\fancyhead[]{\begin{tikzpicture}[remember picture,overlay]
    \node[anchor=north west,yshift=4pt,xshift=-4pt]%
        at (current page.north west)
        {\includegraphics[width=21cm]{head}};
    \end{tikzpicture}}
	%\fancyfoot[C]{\includegraphics[width=500pt]{foot}}
		%\fancyfoot[]{\begin{tikzpicture}[remember picture,overlay]
    %\node[anchor=south west,yshift=-4pt,xshift=-4pt]%
      %  at (current page.south west)
      %  {\includegraphics[width=21cm]{foot}};
   % \end{tikzpicture}}
	\fancyfoot[C]{\thepage}
}

\renewcommand{\headrulewidth}{1pt}